curl --request POST \
--url https://api.example.com/v1/companies/:id/contacts/link \
--header 'Content-Type: application/json' \
--data '
{
"contact_ids": [
{}
]
}
'{
"data": {
"updated": 123,
"failed": 123
}
}Link existing contacts to a company (max 100 per request)
curl --request POST \
--url https://api.example.com/v1/companies/:id/contacts/link \
--header 'Content-Type: application/json' \
--data '
{
"contact_ids": [
{}
]
}
'{
"data": {
"updated": 123,
"failed": 123
}
}Authorization: Bearer wbk_your_api_key_here
Content-Type: application/json
curl -X POST https://data.leadlex.com/functions/v1/api-gateway/v1/companies/co-001/contacts/link \
-H "Authorization: Bearer wbk_your_api_key_here" \
-H "Content-Type: application/json" \
-d '{ "contact_ids": ["contact-001", "contact-002"] }'
{
"data": {
"updated": 2,
"failed": 0
}
}
| Status | Code | Description |
|---|---|---|
| 400 | validation_error | Missing or empty contact_ids array |
| 400 | validation_error | More than 100 contact IDs |
| 403 | insufficient_permissions | Missing contacts:write permission |